Bug 1561184 - After First Boot completes, graphical login screen fails to appear
Summary: After First Boot completes, graphical login screen fails to appear
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: armhfp
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-27 20:34 UTC by Richard Ryniker
Modified: 2019-05-28 19:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:48:41 UTC


Attachments (Terms of Use)

Description Richard Ryniker 2018-03-27 20:34:54 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Build Identifier: 

Fedora-Workstation-armhfp-28_Beta-1.1 used with Raspberry Pi model 3.
SELINUX=permissive


After First Boot completes, a white arrow pointer is displayed, but no
graphical login screen appears.  The last console messages from the boot process are visible.

With system images that use other graphical desktops (KDE and LDXE were tested) the expected F28 wallpaper and graphical login fields are properly displayed.  Only the GNOME image has this problem.

Reproducible: Always

Steps to Reproduce:
1.  Boot from a SD card created by fedora-arm-image-installer, and complete the First Boot procedure.
2.
3.
Actual Results:  
System hangs... no response to keyboard or mouse input.  No response to network connection attempt.

Expected Results:  
Normal graphical login screen.

Complete journal is available at:  http://ryniker.org/Fedora/log01

Possible problem may be signaled by the line:

Mar 05 17:17:49 localhost gnome-shell[1443]: Failed to use linear monitor configuration: No available CRTC for monitor 'unknown unknown' not found

but First Boot uses the graphical display successfully.

Comment 1 Richard Ryniker 2018-03-30 15:30:52 UTC
I believe when I created this report I mistakenly thought the First Boot operation (create a user, etc.) was gnome-initial-setup.  I now think gnome-initial-setup occurs after a user logs in the first time (in order to select keyboard, language, etc.)

This means I correctly described successful completion of First Boot, but never had opportunity to execute gnome-initial-setup because my system failed to display a login screen.

Peter Robinson believes this is not ARM-specific, but an instance of a more general GNOME problem.  The fact other desktops work on the Raspberry Pi supports this position.

I tried Fedora-Workstation-Live-x86_64-28_Beta-1.1.iso and had no problem with graphical login (Intel NUC7i5BNH machine) using this live image, nor after I installed it to a local disk and ran "dnf upgrade" to update the system with software available on March 30.

Whatever is wrong with GNOME on my Raspberry Pi is not a problem on some other machines.  A sample set of two machines cannot support general conclusions, but my results have been constant over multiple trials.

Comment 2 Ben Cotton 2019-05-02 19:23:57 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-02 21:58:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:48:41 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.